Available affiliation filters
curl --request GET \
--url https://api.dev.impactu.colav.co/search/affiliations/{affiliation_type}/filtersimport requests
url = "https://api.dev.impactu.colav.co/search/affiliations/{affiliation_type}/filters"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.dev.impactu.colav.co/search/affiliations/{affiliation_type}/filters', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.dev.impactu.colav.co/search/affiliations/{affiliation_type}/filters",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.dev.impactu.colav.co/search/affiliations/{affiliation_type}/filters"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.dev.impactu.colav.co/search/affiliations/{affiliation_type}/filters")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.dev.impactu.colav.co/search/affiliations/{affiliation_type}/filters")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"cities": [{"count": 907, "label": "Londres", "value": "Londres"}],
"states": [{"count": 2640, "label": "England", "value": "England"}]
}
{
"cities": [{"count": 2483, "label": "Bogotá", "value": "Bogotá"}],
"groups_ranking": [{"count": 2732, "label": "C", "value": "C"}],
"states": [{"count": 2135, "label": "Bogotá", "value": "Bogotá"}]
}
{
"error": "1 validation error for QueryParams\nmax\n Input should be greater than or equal to 1 [type=greater_than_equal, input_value='0', input_type=str]\n For further i…"
}
Search
Available affiliation filters
Options available to filter the affiliation search, with their number of results.
GET
/
search
/
affiliations
/
{affiliation_type}
/
filters
Available affiliation filters
curl --request GET \
--url https://api.dev.impactu.colav.co/search/affiliations/{affiliation_type}/filtersimport requests
url = "https://api.dev.impactu.colav.co/search/affiliations/{affiliation_type}/filters"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.dev.impactu.colav.co/search/affiliations/{affiliation_type}/filters', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.dev.impactu.colav.co/search/affiliations/{affiliation_type}/filters",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.dev.impactu.colav.co/search/affiliations/{affiliation_type}/filters"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.dev.impactu.colav.co/search/affiliations/{affiliation_type}/filters")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.dev.impactu.colav.co/search/affiliations/{affiliation_type}/filters")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"cities": [{"count": 907, "label": "Londres", "value": "Londres"}],
"states": [{"count": 2640, "label": "England", "value": "England"}]
}
{
"cities": [{"count": 2483, "label": "Bogotá", "value": "Bogotá"}],
"groups_ranking": [{"count": 2732, "label": "C", "value": "C"}],
"states": [{"count": 2135, "label": "Bogotá", "value": "Bogotá"}]
}
{
"error": "1 validation error for QueryParams\nmax\n Input should be greater than or equal to 1 [type=greater_than_equal, input_value='0', input_type=str]\n For further i…"
}
Returns the values you can use in the filters of Search affiliations.
The options and their counts depend on the criteria you send: only those that exist within that result are returned.
Path parameters
string
required
Affiliation type:
institution, faculty, department or group.Query parameters
All are optional.string
Search text (affiliation name).
string
Departments. Accepts several values separated by commas. Example:
Antioquia,Tolima.string
Cities. Accepts several values separated by commas. Example:
Bogotá,Cali.string
Current classification of the group. Accepts several values separated by commas.
Example:
A1,A2.Response
All fields are option lists with the same structure:object[]
object[]
Available cities. Same structure as
states.object[]
Current group classifications (for example,
A1, A, B, C).
Same structure as states. Only returned with affiliation_type=group.{
"cities": [{"count": 907, "label": "Londres", "value": "Londres"}],
"states": [{"count": 2640, "label": "England", "value": "England"}]
}
{
"cities": [{"count": 2483, "label": "Bogotá", "value": "Bogotá"}],
"groups_ranking": [{"count": 2732, "label": "C", "value": "C"}],
"states": [{"count": 2135, "label": "Bogotá", "value": "Bogotá"}]
}
{
"error": "1 validation error for QueryParams\nmax\n Input should be greater than or equal to 1 [type=greater_than_equal, input_value='0', input_type=str]\n For further i…"
}